<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>MiniApp</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.1/font/bootstrap-icons.css">
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <div class="container">
        <div class="header">
            <nav class="navbar navbar-expand-lg navbar-dark bg-121212">
                <div class="container-fluid">
                    <a class="navbar-brand" href="#">Navbar</a>
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                        data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                            <li class="nav-item dropdown ">
                                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                                    data-bs-toggle="dropdown" aria-expanded="false">
                                    Filter
                                </a>
                                <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                                    <li><a class="dropdown-item active" href="#" data-type="all">All</a></li>
                                    <li><a class="dropdown-item" href="#" data-type="female">Female</a></li>
                                    <li><a class="dropdown-item" href="#" data-type="male">Male</a></li>
                                </ul>
                            </li>
                            <li class="nav-item dropdown">
                                <div class="nav-link d-flex align-items-center">
                                    <span>Users: </span>
                                    <span class="user-count"></span>
                                </div>
                            </li>
                            <li class="nav-item dropdown">
                                <div class="nav-link d-flex align-items-center">
                                    <span>Age sum: </span>
                                    <span class="users-age"></span>
                                </div>
                            </li>
                        </ul>
                        <form name="search" class="d-flex">
                            <input name="input" class="form-control me-2" type="search" placeholder="Search by email"
                                aria-label="Search" required>
                            <button class="btn btn-outline-success custom-button-style" type="submit">Search</button>
                        </form>
                    </div>
                </div>
            </nav>
        </div>
        <div class="blocks d-flex flex-wrap gap-4 mt-4">
            <div class="placeholder-glow block shadow rounded text-center " aria-hidden="true">
                <div class="rounded user-img placeholder">
                </div>
                <p class="user-name fs-4 placeholder-glow">
                    <span class="placeholder rounded col-6"></span>
                </p>
                <p class="user-email placeholder-glow">
                    <i class="bi bi-envelope-fill"></i>
                    <span class="placeholder rounded col-6"></span>
                </p>
                <p class="user-age placeholder-glow">
                    <span>Age: </span>
                    <span class="placeholder rounded col-2"></span>
                </p>
            </div>
            <div class="placeholder-glow block shadow rounded text-center " aria-hidden="true">
                <div class="rounded user-img placeholder">
                </div>
                <p class="user-name fs-4 placeholder-glow">
                    <span class="placeholder rounded col-6"></span>
                </p>
                <p class="user-email placeholder-glow">
                    <i class="bi bi-envelope-fill"></i>
                    <span class="placeholder rounded col-6"></span>
                </p>
                <p class="user-age placeholder-glow">
                    <span>Age: </span>
                    <span class="placeholder rounded col-2"></span>
                </p>
            </div>
            <div class="placeholder-glow block shadow rounded text-center " aria-hidden="true">
                <div class="rounded user-img placeholder">
                </div>
                <p class="user-name fs-4 placeholder-glow">
                    <span class="placeholder rounded col-6"></span>
                </p>
                <p class="user-email placeholder-glow">
                    <i class="bi bi-envelope-fill"></i>
                    <span class="placeholder rounded col-6"></span>
                </p>
                <p class="user-age placeholder-glow">
                    <span>Age: </span>
                    <span class="placeholder rounded col-2"></span>
                </p>
            </div>
            <div class="placeholder-glow block shadow rounded text-center " aria-hidden="true">
                <div class="rounded user-img placeholder">
                </div>
                <p class="user-name fs-4 placeholder-glow">
                    <span class="placeholder rounded col-6"></span>
                </p>
                <p class="user-email placeholder-glow">
                    <i class="bi bi-envelope-fill"></i>
                    <span class="placeholder rounded col-6"></span>
                </p>
                <p class="user-age placeholder-glow">
                    <span>Age: </span>
                    <span class="placeholder rounded col-2"></span>
                </p>
            </div>
            <div class="placeholder-glow block shadow rounded text-center " aria-hidden="true">
                <div class="rounded user-img placeholder">
                </div>
                <p class="user-name fs-4 placeholder-glow">
                    <span class="placeholder rounded col-6"></span>
                </p>
                <p class="user-email placeholder-glow">
                    <i class="bi bi-envelope-fill"></i>
                    <span class="placeholder rounded col-6"></span>
                </p>
                <p class="user-age placeholder-glow">
                    <span>Age: </span>
                    <span class="placeholder rounded col-2"></span>
                </p>
            </div>
            <div class="placeholder-glow block shadow rounded text-center " aria-hidden="true">
                <div class="rounded user-img placeholder">
                </div>
                <p class="user-name fs-4 placeholder-glow">
                    <span class="placeholder rounded col-6"></span>
                </p>
                <p class="user-email placeholder-glow">
                    <i class="bi bi-envelope-fill"></i>
                    <span class="placeholder rounded col-6"></span>
                </p>
                <p class="user-age placeholder-glow">
                    <span>Age: </span>
                    <span class="placeholder rounded col-2"></span>
                </p>
            </div>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <script src="script.js"></script>
</body>

</html>